## meandmyshadow 0.2-maemo1

=== debian/changelog ===
meandmyshadow (0.2-maemo1) stable; urgency=low

  * Fremantle version

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 12 Jan 2012 14:32:38 +0200

## meandmyshadow 0.2-maemo2

=== CMakeLists.txt ===
PROJECT(meandmyshadow)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

Find_Package(SDL REQUIRED)
Find_Package(SDL_ttf REQUIRED)
Find_Package(SDL_image REQUIRED)
#Find_Package(SDL_mixer REQUIRED)
Find_Package(SDL_gfx REQUIRED)
Find_Package(CURL REQUIRED)
Find_Package(LibArchive REQUIRED)

INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${SDLIMAGE_INCLUDE_DIR})
#INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${SDLTTF_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${SDLGFX_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${LibArchive_INCLUDE_DIR})

if ( NOT SDL_FOUND )
    message(FATAL_ERROR "SDL not found !")
endif ( NOT SDL_FOUND )

if ( NOT SDLTTF_FOUND )
    message(FATAL_ERROR "SDL_ttf not found !")
endif ( NOT SDLTTF_FOUND )

#if ( NOT SDLMIXER_FOUND )
#    message(FATAL_ERROR "SDL_mixer not found !")
#endif ( NOT SDLMIXER_FOUND )

if ( NOT SDLGFX_FOUND )
    message(FATAL_ERROR "SDL_gfx not found !")
endif ( NOT SDLGFX_FOUND )

if ( NOT CURL_FOUND )
    message(FATAL_ERROR "CURL not found !")
endif ( NOT CURL_FOUND )

if ( NOT LibArchive_FOUND )
    message(FATAL_ERROR "LIBARCHIVE not found !")
endif ( NOT LibArchive_FOUND )


configure_file (
  "${PROJECT_SOURCE_DIR}/src/config.h.in"
  "${PROJECT_BINARY_DIR}/config.h"
  )

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})
set(SRC_DIR ${PROJECT_SOURCE_DIR}/src)

include_directories(
	${PROJECT_BINARY_DIR}
	${SDL_INCLUDE_DIR}
	${SDLTTF_INCLUDE_DIR}
#	${SDLMIXER_INCLUDE_DIR}
	${SDLIMAGE_INCLUDE_DIR}
	${SDLGFX_INCLUDE_DIR}
)



SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 -DBUNDLE_MIXER")

# Déclaration de l'exécutable
file(GLOB Sources ${SRC_DIR}/*.cpp)
file(GLOB mixer_objects lib/*.o) 
add_executable(meandmyshadow ${Sources} ${mixer_objects})

target_link_libraries(
    meandmyshadow
    ${SDL_LIBRARY}
	${SDLTTF_LIBRARY}
	${SDLIMAGE_LIBRARY}
#	${SDLMIXER_LIBRARY}
	${SDLGFX_LIBRARY}
    ${CURL_LIBRARY}
    ${LibArchive_LIBRARY}
)

install(DIRECTORY ${PROJECT_BINARY_DIR}/data DESTINATION share/meandmyshadow/)
install(TARGETS meandmyshadow RUNTIME DESTINATION bin)
if("${CMAKE_SYSTEM_NAME}" MATCHES "Linux") 
	install(FILES meandmyshadow.desktop DESTINATION share/applications/)
	install(FILES meandmyshadow.xpm DESTINATION share/pixmaps/)
endif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")

=== libsdl-mixer1.2-1.2.6/native_midi/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# native_midi/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libnativemidi_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = native_midi
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libnativemidi_la_LIBADD =
am_libnativemidi_la_OBJECTS = native_midi_common.lo native_midi_mac.lo \
	native_midi_win32.lo
libnativemidi_la_OBJECTS = $(am_libnativemidi_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/native_midi_common.Plo \
	./$(DEPDIR)/native_midi_mac.Plo \
	./$(DEPDIR)/native_midi_win32.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnativemidi_la_SOURCES)
DIST_SOURCES = $(libnativemidi_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = 
USE_MIKMOD_TRUE = #
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
noinst_LTLIBRARIES = libnativemidi.la
libnativemidi_la_SOURCES = \
	native_midi.h		\
	native_midi_common.c	\
	native_midi_common.h	\
	native_midi_mac.c	\
	native_midi_win32.c

INCLUDES = -I$(top_srcdir)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  native_midi/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  native_midi/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libnativemidi.la: $(libnativemidi_la_OBJECTS) $(libnativemidi_la_DEPENDENCIES) 
	$(LINK)  $(libnativemidi_la_LDFLAGS) $(libnativemidi_la_OBJECTS) $(libnativemidi_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/native_midi_common.Plo
include ./$(DEPDIR)/native_midi_mac.Plo
include ./$(DEPDIR)/native_midi_win32.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \

=== debian/changelog ===
meandmyshadow (0.2-maemo2) stable; urgency=low

  * Play sfx when menu starts (workaround for bug: no music until sfx played)
  * alternative keys: e=up. d=use. k=left. l=right. f=record

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 Jan 2012 13:07:38 +0200

=== debian/control ===
Source: meandmyshadow
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev
Standards-Version: 3.8.1
Homepage: http://meandmyshadow.sourceforge.net/wiki/index.php/Main_Page

Package: meandmyshadow
Architecture: any
Depends: ${shlibs:Depends}
Description: Me and My Shadow is a puzzle/platform 
 It has an interesting concept and rather unique gameplay.
XSBC-Bugtracker: https://sourceforge.net/apps/trac/meandmyshadow/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9wBDAwaH+qh7rYAAANISURBVGje7Vk7buMwEH2KU6VhunRiWjW6Ad0a
 AXKAAFKfwjeImt0iuUNUy4APYMBwG53ASKFWVJeSJ+A2OwRFU1k5gSUt4mns
 ISXiPc7fBs5ylrOc5UeIEEJ/R4/jWPvOvRgCPOdcCyEMiDiOj9KFEPr+/h6c
 8wMSl0OAf3p6AgAopcA518vlsqX//ezU0zQFACRJgtVqpaWUAZ0fDAWecw4A
 CMPw6HOapgEASCkBAC8vLyASJ7UAY8yAD8MQURR96ZwoilBVlSFB5w5CwAd+
 Pp9DKQWlFBhjYIzh7e2t975N4GKMjKSUwn6/BwDs93sopY7aHzwL+QgAQF3X
 qKrKS8Ddt11o0Czkk7qucXt7a/Ttdovdbofn52dkWYbtdnuwbwezTfjy1Ddt
 35gdBwSKJAxDvL6+du77LDQIAdvsTdMcpNHHx0cTsHaQMsYMITuNui508jqQ
 JImpAdZ67zNswPR9tVqZOhCc2t/d8k+3SynStpat05ovAw1WiftaR0qJsiwh
 hDDWkVK2bnpSadSWoijAOYcQorXWV4IxwXPOtes2TgYLJkVACKFtv06SxARl
 GIZomgbU/JEL2XFTlmUwGgEhhE7T1PRGrjw8PGC9Xnd2o1JKFEVxQMKuA/oL
 xHq/Q7e+WCw6Gz8qdFVVmZpBa1JKb0a68ADx6f8C/893lFKtQAWAPM9NjyOE
 QFVVBryU0hQwqh2fERhc8jxvZZs0TVt630w0CgG6dftGoyhCWZbefqcPgeAL
 wR18NyEopVpuYoM+lgABCI4EctQ7Ntgui5D/f9YTjeJCbsFyAREJHzki7it6
 l0MSkFIiy7JOIvSMvUZx4Q7zo1Zi6kZ9M4C97nauvko86EiplMJ6vUYURciy
 DJvNBsvl0nSkUkrzfbPZHDzrk8EJ3N3dHQw3i8UCeZ6jLEvM5/POZ0cn4HaX
 7rDjps4+3ejo80BHm9372UkR6JoN/gsCRVGAfoXuKlqTJEBg+7YOk7RAnuet
 35COscCoM3Ecx9ouXm4x65OFxs42WmutKZ26+qRdiHOu67rGbrcDYwxCCKOT
 ddw/+nwyG4vA9fX1r6urKyilcHNzg/f3d8xmMzN60trHx8fvScZAXzeZfBz8
 ePkD3ipKCFSK550AAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



build: build-stamp

build-stamp:
		dh_testdir

	#SDL-mixer
	mkdir lib
	mkdir lib/SDL
	cd libsdl-mixer1.2-1.2.6 ; ./configure \
  --enable-music-cmd=no\
  --enable-music-wave=no\
  --enable-music-libmikmod=no\
  --enable-music-mod=no\
  --enable-music-midi=no\
  --enable-music-timidity-midi=no\
  --enable-music-native-midi=no\
  --enable-music-native-midi-gpl=no\
  --enable-music-ogg=yes\
  --enable-music-mp3=no ; make ; cp effect_position.o \
  effects_internal.o  \
  load_ogg.o \
  mixer.o  \
  music_cmd.o  \
  wavestream.o \
  effect_stereoreverse.o \
  load_aiff.o \
  load_voc.o \
  music.o  \
  music_ogg.o  ../lib
	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h lib/SDL



	mkdir build 
	cd build ; cmake ..; ../hack_for_maemo5_build.sh ; make

	touch build-stamp



clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf lib
	rm -rf build
	# --- end custom part for cleaning up

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#folder
	install -d ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/bin

	#files
	install ${CURDIR}/build/meandmyshadow ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/bin

	#data
	cp -r  ${CURDIR}/data ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/
	#wrong resolution for N900
	rm -rf ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/help/
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/addons.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/levelselect.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/menu.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/options.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/sfx/music.mid

	#icon
	install -d ${CURDIR}/debian/meandmyshadow/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/meandmyshadow.xpm     ${CURDIR}/debian/meandmyshadow/usr/share/icons/hicolor/64x64/hildon

	#menu
	install -d ${CURDIR}/debian/meandmyshadow/usr/share/applications/hildon
	install ${CURDIR}/meandmyshadow.desktop ${CURDIR}/debian/meandmyshadow/usr/share/applications/hildon

	#start-script
	install -d ${CURDIR}/debian/meandmyshadow/usr/bin
	install ${CURDIR}/meandmyshadow.sh ${CURDIR}/debian/meandmyshadow/usr/bin




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## meandmyshadow 0.2-maemo3

=== debian/changelog ===
meandmyshadow (0.2-maemo3) stable; urgency=low

  * Start music before menu

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 Jan 2012 11:07:38 +0200

## meandmyshadow 0.2-maemo4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Find_Package(SDL REQUIRED)
 Find_Package(SDL_ttf REQUIRED)
 Find_Package(SDL_image REQUIRED)
-#Find_Package(SDL_mixer REQUIRED)
+Find_Package(SDL_mixer REQUIRED)
 Find_Package(SDL_gfx REQUIRED)
 Find_Package(CURL REQUIRED)
 Find_Package(LibArchive REQUIRED)
 
 INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLIMAGE_INCLUDE_DIR})
-#INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLTTF_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLGFX_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
@@ -26,9 +26,9 @@
     message(FATAL_ERROR "SDL_ttf not found !")
 endif ( NOT SDLTTF_FOUND )
 
-#if ( NOT SDLMIXER_FOUND )
-#    message(FATAL_ERROR "SDL_mixer not found !")
-#endif ( NOT SDLMIXER_FOUND )
+if ( NOT SDLMIXER_FOUND )
+    message(FATAL_ERROR "SDL_mixer not found !")
+endif ( NOT SDLMIXER_FOUND )
 
 if ( NOT SDLGFX_FOUND )
     message(FATAL_ERROR "SDL_gfx not found !")
@@ -55,26 +55,28 @@
 	${PROJECT_BINARY_DIR}
 	${SDL_INCLUDE_DIR}
 	${SDLTTF_INCLUDE_DIR}
-#	${SDLMIXER_INCLUDE_DIR}
+	${SDLMIXER_INCLUDE_DIR}
 	${SDLIMAGE_INCLUDE_DIR}
 	${SDLGFX_INCLUDE_DIR}
 )
 
 
 
-SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 -DBUNDLE_MIXER")
+SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 ")
+#SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 -DBUNDLE_MIXER")
 
 # Déclaration de l'exécutable
 file(GLOB Sources ${SRC_DIR}/*.cpp)
-file(GLOB mixer_objects lib/*.o) 
-add_executable(meandmyshadow ${Sources} ${mixer_objects})
+#file(GLOB mixer_objects lib/*.o) 
+#add_executable(meandmyshadow ${Sources} ${mixer_objects})
+add_executable(meandmyshadow ${Sources} )
 
 target_link_libraries(
     meandmyshadow
     ${SDL_LIBRARY}
 	${SDLTTF_LIBRARY}
 	${SDLIMAGE_LIBRARY}
-#	${SDLMIXER_LIBRARY}
+	${SDLMIXER_LIBRARY}
 	${SDLGFX_LIBRARY}
     ${CURL_LIBRARY}
     ${LibArchive_LIBRARY}

=== debian/changelog ===
meandmyshadow (0.2-maemo4) stable; urgency=low

  * Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev
+Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev, libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2)
 Standards-Version: 3.8.1
 Homepage: http://meandmyshadow.sourceforge.net/wiki/index.php/Main_Page
 
 Package: meandmyshadow
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
 Description: Me and My Shadow is a puzzle/platform 
  It has an interesting concept and rather unique gameplay.
 XSBC-Bugtracker: https://sourceforge.net/apps/trac/meandmyshadow/

=== debian/rules ===
--- 
+++ 
@@ -34,29 +34,6 @@
 	#SDL-mixer
 	mkdir lib
 	mkdir lib/SDL
-	cd libsdl-mixer1.2-1.2.6 ; ./configure \
-  --enable-music-cmd=no\
-  --enable-music-wave=no\
-  --enable-music-libmikmod=no\
-  --enable-music-mod=no\
-  --enable-music-midi=no\
-  --enable-music-timidity-midi=no\
-  --enable-music-native-midi=no\
-  --enable-music-native-midi-gpl=no\
-  --enable-music-ogg=yes\
-  --enable-music-mp3=no ; make ; cp effect_position.o \
-  effects_internal.o  \
-  load_ogg.o \
-  mixer.o  \
-  music_cmd.o  \
-  wavestream.o \
-  effect_stereoreverse.o \
-  load_aiff.o \
-  load_voc.o \
-  music.o  \
-  music_ogg.o  ../lib
-	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h lib/SDL
-
 
 
 	mkdir build

## meandmyshadow 0.2-maemo6

=== debian/changelog ===
meandmyshadow (0.2-maemo6) stable; urgency=low

  * Fix2: Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:42:38 +0200

meandmyshadow (0.2-maemo5) stable; urgency=low

  * Fix: Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev, libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2)
+Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev, libsdl-mixer1.2-dev (>= 1:1.2.6-5+0m5+ogg+mp3-2)
 Standards-Version: 3.8.1
 Homepage: http://meandmyshadow.sourceforge.net/wiki/index.php/Main_Page
 
 Package: meandmyshadow
 Architecture: any
-Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
+Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1:1.2.6-5+0m5+ogg+mp3-2)
 Description: Me and My Shadow is a puzzle/platform 
  It has an interesting concept and rather unique gameplay.
 XSBC-Bugtracker: https://sourceforge.net/apps/trac/meandmyshadow/

## meandmyshadow 0.5a

=== CMakeLists.txt ===
Project (meandmyshadow)
CMake_Minimum_Required (VERSION 3.1)
Set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

#Path options
Set (BINDIR "bin" CACHE STRING "Where to install binaries")
Set (DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Sets the root of data directories to a non-default location")
Set (ICONDIR "${DATAROOTDIR}/icons" CACHE STRING "Sets the icon directory for desktop entry to a non-default location.")
Set (DESKTOPDIR "${DATAROOTDIR}/applications" CACHE STRING "Sets the desktop file directory for desktop entry to a non-default location.")

#Options
Option (DEBUG_MODE "Compile the game with debug mode enabled" OFF)
Option (DISABLED_DEBUG_STUFF "Enable this you'll see a lot of annoying script debug messages which will lag the game." OFF)

#Find the required libraries.
Find_Package (SDL2 REQUIRED)
Find_Package (SDL2_image REQUIRED)
Find_Package (Freetype REQUIRED)
Find_Package (SDL2_mixer REQUIRED)
Find_Package (CURL REQUIRED)
Find_Package (LibArchive REQUIRED)
Find_Package (Lua 5.3 REQUIRED)

if (NOT SDL2_FOUND)
	message (FATAL_ERROR "SDL2 library could not be found!")
endif (NOT SDL2_FOUND)

if (NOT SDL2_IMAGE_FOUND)
	message (FATAL_ERROR "SDL2_image library could not be found!")
endif (NOT SDL2_IMAGE_FOUND)

if (NOT FREETYPE_FOUND)
	message (FATAL_ERROR "Freetype library could not be found!")
endif (NOT FREETYPE_FOUND)

if (NOT SDL2_MIXER_FOUND)
	message (FATAL_ERROR "SDL2_mixer library could not be found!")
endif (NOT SDL2_MIXER_FOUND)

if (NOT CURL_FOUND)
	message(FATAL_ERROR "CURL library could not be found!")
endif (NOT CURL_FOUND)

if (NOT LibArchive_FOUND)
	message (FATAL_ERROR "LibArchive library could not be found!")
endif (NOT LibArchive_FOUND)

if (NOT LUA_FOUND)
	message (FATAL_ERROR "Lua library could not be found!")
endif (NOT LUA_FOUND)

if (LUA_VERSION_STRING VERSION_LESS "5.3")
	message (FATAL_ERROR "Lua version too old ${LUA_VERSION_STRING}, expected at least 5.3!")
endif ()

# check version from Globals.h
file(READ "${PROJECT_SOURCE_DIR}/src/Globals.h" GLOBALS_H)
string(REGEX MATCH "version[ ]*=[ ]*\"[^\"]*\"" MNMS_VERSION_STR ${GLOBALS_H})
string(REGEX REPLACE "^[^\"]*\"([^\"]*)\".*$" "\\1" MNMS_VERSION_STR ${MNMS_VERSION_STR})
message(STATUS "The version read from Globals.h is: ${MNMS_VERSION_STR}")

string(REGEX REPLACE "^V([0-9.]+).*$" "\\1" MNMS_VERSION_NUM ${MNMS_VERSION_STR})
set(MNMS_VERSION_NUM "${MNMS_VERSION_NUM}.0.0.0.0")
string(REGEX REPLACE "^([0-9]+)[.]([0-9]+)[.]([0-9]+)[.]([0-9]+).*$" "\\1,\\2,\\3,\\4" MNMS_VERSION_NUM ${MNMS_VERSION_NUM})
message(STATUS "which is: ${MNMS_VERSION_NUM}")

# check version from git
find_package(Git)
if(GIT_FOUND)
	exec_program(${GIT_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR} ARGS "describe --tags"
		OUTPUT_VARIABLE MNMS_GIT_VERSION RETURN_VALUE GIT_RETURN_VALUE)
	if(GIT_RETURN_VALUE STREQUAL "0")
		set(MNMS_VERSION_STR "${MNMS_VERSION_STR} (${MNMS_GIT_VERSION})")
		message(STATUS "The version read from git is: ${MNMS_GIT_VERSION}")
	else()
		# possibly there are no any tags
		exec_program(${GIT_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR} ARGS "rev-parse --short HEAD"
			OUTPUT_VARIABLE MNMS_GIT_VERSION RETURN_VALUE GIT_RETURN_VALUE)
		if(GIT_RETURN_VALUE STREQUAL "0")
			set(MNMS_VERSION_STR "${MNMS_VERSION_STR} (git ${MNMS_GIT_VERSION})")
			message(STATUS "The version read from git is: ${MNMS_GIT_VERSION}")
		endif()
	endif()
endif()

# show version information on Windows
Set(WIN32_RESOURCES )
if(WIN32)
	Configure_File (
		"${PROJECT_SOURCE_DIR}/icons/windows-icon/res.rc.in"
		"${PROJECT_BINARY_DIR}/res.rc"
	)
	Set(WIN32_RESOURCES ${PROJECT_BINARY_DIR}/res.rc)
	Include_Directories(${PROJECT_SOURCE_DIR}/icons/windows-icon/)
	SOURCE_GROUP("Source Files\\Resources" FILES ${WIN32_RESOURCES})
endif()

#Parse the configure file.
Configure_File (
	"${PROJECT_SOURCE_DIR}/src/config.h.in"
	"${PROJECT_BINARY_DIR}/config.h"
)

#Add some missing libraries to Windows.
if(WIN32)
	include_directories(${PROJECT_SOURCE_DIR}/src/libs/dirent)
endif(WIN32)

#Disable some annoying warnings.
if(MSVC)
	# warning C4996: '***': This function or variable may be unsafe
	add_definitions(/wd4996)

	# force the source code encoding to UTF-8 (which is available since VC2015)
	if (NOT (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19.0))
		add_definitions(-utf-8)
	endif()
else()
	# Assume it's gcc or clang
	# warning: '***' overrides a member function but is not marked 'override'
	add_definitions(-Wno-inconsistent-missing-override)
endif()

#Define some debug stuff.
if(DEBUG_MODE)
	add_definitions(-DDEBUG)
	add_definitions(-D_DEBUG)
endif(DEBUG_MODE)
if(DISABLED_DEBUG_STUFF)
	add_definitions(-DDISABLED_DEBUG_STUFF)
endif(DISABLED_DEBUG_STUFF)

#Add the include directories of the (found) libraries.
Include_Directories(
	${PROJECT_BINARY_DIR}
	${PROJECT_SOURCE_DIR}/src/libs
	${PROJECT_SOURCE_DIR}/src/libs/SDL2_ttf
	${SDL2_INCLUDE_DIR}
	${SDL2_IMAGE_INCLUDE_DIR}
	${FREETYPE_INCLUDE_DIRS}
	${SDL2_MIXER_INCLUDE_DIR}
	${CURL_INCLUDE_DIR}
	${LibArchive_INCLUDE_DIR}
	${LUA_INCLUDE_DIR}
)

#Set the output path and the source path.
Set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})
Set (SRC_DIR ${PROJECT_SOURCE_DIR}/src)

#List the source files.
File (GLOB SOURCES ${SRC_DIR}/*.cpp)
File (GLOB TINYFORMAT ${SRC_DIR}/libs/tinyformat/*.cpp)
File (GLOB TINYGETTEXT ${SRC_DIR}/libs/tinygettext/*.cpp)
File (GLOB FINDLOCALE ${SRC_DIR}/libs/findlocale/*.cpp)
File (GLOB SDL2TTF ${SRC_DIR}/libs/SDL2_ttf/*.c)

#Always use SDL_iconv in tinygettext
add_definitions(-DHAVE_SDL)

SOURCE_GROUP("Source Files\\tinyformat" FILES ${TINYFORMAT})
SOURCE_GROUP("Source Files\\tinygettext" FILES ${TINYGETTEXT})
SOURCE_GROUP("Source Files\\findlocale" FILES ${FINDLOCALE})
SOURCE_GROUP("Source Files\\SDL2_ttf" FILES ${SDL2TTF})

Add_Executable (meandmyshadow ${SOURCES} ${TINYFORMAT} ${TINYGETTEXT} ${FINDLOCALE} ${WIN32_RESOURCES} ${SDL2TTF})

set_property(TARGET meandmyshadow PROPERTY CXX_STANDARD 11)

Target_Link_Libraries (
	meandmyshadow
	${SDL2_LIBRARY}
	${SDL2_IMAGE_LIBRARY}
	${FREETYPE_LIBRARIES}
	${SDL2_MIXER_LIBRARY}
	${SDL2MAIN_LIBRARY}
	${CURL_LIBRARY}
	${LibArchive_LIBRARY}
	${LUA_LIBRARIES}
)

#Install locations
Install (DIRECTORY ${PROJECT_SOURCE_DIR}/data DESTINATION ${DATAROOTDIR}/meandmyshadow/)
Install (FILES AUTHORS DESTINATION ${DATAROOTDIR}/meandmyshadow/)
Install (TARGETS meandmyshadow RUNTIME DESTINATION ${BINDIR})

if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
	Install (FILES meandmyshadow.desktop DESTINATION ${DESKTOPDIR})
	Install (FILES icons/16x16/meandmyshadow.png DESTINATION ${ICONDIR}/hicolor/16x16/apps/)
	Install (FILES icons/32x32/meandmyshadow.png DESTINATION ${ICONDIR}/hicolor/32x32/apps/)
	Install (FILES icons/48x48/meandmyshadow.png DESTINATION ${ICONDIR}/hicolor/48x48/apps/)
	Install (FILES icons/64x64/meandmyshadow.png DESTINATION ${ICONDIR}/hicolor/64x64/apps/)
endif ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")

=== debian/changelog ===
meandmyshadow (0.5a-1) groovy; urgency=medium

  * First packaging, from github head

 -- Chris <dpkg@chris-nz.com>  Sat, 17 Apr 2021 03:48:48 +1200

=== debian/control ===
Source: meandmyshadow
Section: games
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper-compat (= 12),
            cmake,
            libarchive-dev,
            libcurl4-openssl-dev,
            libfreetype-dev,
            liblua5.3-dev,
            libsdl2-dev,
            libsdl2-image-dev,
            libsdl2-mixer-dev
Standards-Version: 4.4.1
Homepage: https://github.com/acmepjz/meandmyshadow

Package: meandmyshadow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Puzzle/Platform game about replaying movements
 Try to reach the exit by solving puzzles. Spikes, moving blocks,
 fragile blocks and much more stand between you and the exit.
 Record your moves and let your shadow mimic them to reach
 blocks you couldn't reach alone.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	rm data/font/DejaVuSansCondensed-Oblique.ttf
	rm data/font/DejaVuSansCondensed.ttf
	rm data/font/DejaVuSansMono.ttf
	rm data/font/DroidSansFallback.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansCondensed-Oblique.ttf data/font/DejaVuSansCondensed-Oblique.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansCondensed.ttf data/font/DejaVuSansCondensed.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf data/font/DejaVuSansMono.ttf
	ln -s /usr/share/fonts-droid-fallback/truetype/DroidSansFallback.ttf data/font/DroidSansFallback.ttf
	dh_auto_configure -- -DBINDIR=/usr/games
